

  package org.omegahat.Simulation.MCMC;


    import org.omegahat.Simulation.MCMC.Proposals.*;
    import org.omegahat.Simulation.MCMC.Targets.*;
    import org.omegahat.Simulation.MCMC.Listeners.*;

import org.omegahat.Environment.Databases.*;


public class MCMCStateDatabase extends ObjectDatabase implements MCMCState 
{
    
        /* none */

        
        /* none */

    
    public  MCMCStateDatabase( String name )
    {
      super(name);
    }

    public  MCMCStateDatabase()
    {
      super();
    }

    
    /**  
     * Create a new database using another as a template.  Either
     * (shallow) copy contents or assign null elements of the same name as
     * initialValues 
     *
     * @param name Name for the created database.
     * @param old  Database to use as the template
     * @param copy If true, copy elements.  If false, create null elements with same names.
     */
    public MCMCStateDatabase createDatabase( String name, boolean copy) 
    {
      // create database
      MCMCStateDatabase db = new MCMCStateDatabase( name );
      
      // get a list of what needs to be copied 
      String vars[] = this.objects(); 
      
      // iterate over variables copying or creating null elements
      for(int i=0; i < vars.length; i++) {
        /* Need to deal with names of length > 1 */
        try
          {
            if( copy )
              db.assign( vars[i], this.get(vars[i]) );  // copy value
            else
              db.assign( vars[i], Database.NULL_ENTRY); // empty value.
          }
        catch(Exception ex) 
          {
            ex.printStackTrace();
            throw new RuntimeException("Failed to assign into database in createDatabase.");
          }
            
      }

     return(db);
    }

    public MCMCStateDatabase createDatabase( String name )
    {
      return createDatabase( name, true );
    }

    public String toString()
    {
      
      String contentsString = "MCMCStateDatabase: { " ;
      
      String[] objectList = this.objects();

      for(int i=0; i<objectList.length; i++)
        contentsString += objectList[i] + " = " + this.get(objectList[i]) + " ";

      return contentsString + "}";
    }


    
        /* none */

}
